/* eslint-disable no-undef */

import {extendRule} from "../../utils/common";

/**
 * @return {string}
 */
//产品编辑页 FM024
export default {
  onChange: ({value,colInfo,getFieldValue,setFieldValue,setFieldEditable,setFieldVisible}) => {

  },
  onFetchAutoFilter:({colInfo,params,getFieldValue})=>{
      if(colInfo.FIELD_NAME=='Nav_WorkStage.NAME') {
        extendRule(params, 'TYPE',1, 2);
        extendRule(params, 'ENABLE_STATUS', 1,0);
      }
      else if(colInfo.FIELD_NAME=='Nav_ProductCategory.NAME') {
        extendRule(params, 'ENABLE_STATUS', 1,0);
        extendRule(params, 'PRODUCT_CATEGORY_TYPE', 1,0);
      };
  },
  onBeforeEdit:({isNew,getFieldValue,setFieldValue,setFieldEditable})=>{

  },
  onBeforeSave:({data,getFieldValue,setFieldValue})=>{
  },
}
